wmbattery (2.51)
  * Fix memory leak (Debian bug #816872).
    Thanks to David Johnson <davijoh3@cisco.com> for the patch.

wmbattery (2.50)
  * Free memory allocated by strdup.  This corrects a mistake in [1] noticed by
    Andrew Shadura [2].

    [1] http://repo.or.cz/dockapps.git/commitdiff/29e5012
    [2] https://github.com/d-torrance/wmbattery/commit/
	9f7be30#commitcomment-12965145

wmbattery (2.49)
  * Add config.h.in to `make distclean`.  Its absence created a problem for the
    Debian package.  During the build, dh_auto_clean results in a call to
    autoheader, which creates config.h.in.  If this isn't then removed, we get
    a dpkg-source error.  Obtained from [1].

  [1] https://sources.debian.net/src/wmbattery/2.48-1/debian/patches/
      clean_config.h.in.patch/

wmbattery (2.48)
  * Escape hyphen in manpage. Fixes hyphen-used-as-minus-sign Lintian warning
    in the Debian package.  Patch from [1].
  * Change manpage section from deprecated 1x to 1.
  * Makefile - use autoheader too instead, configure complains about:
      config.status: error: cannot find input file: `config.h.in'
    Patch by Christoph Fritz.
  * upower - don't exit after suspend/hibernation wakup Immediately after
    suspend/hibernation wakup cycle, up_client_get_devices() can fail:
      libupower-glib-WARNING **: up_client_get_devices failed: Timeout was
      reached
    Since we do not interpret the UPower signals, just don't exit wmbattery
    after first up_client_get_devices() failure.
    Patch by Christoph Fritz.
  * Expand -g option to allow positions relative to right or bottom. Use '-'
    instead of '+', e.g., `wmbattery -g -0+0` will place wmbattery in the upper
    right hand corner of the screen.
    Thanks to Christoph Fritz for the feature request.
  * Improve help text for -i option.
  * Add -n option to disable dial graphic.
    Thanks to Christoph Fritz for the feature request.
  * Fix typos. Ran `codespell -w`.
  * Properly free malloced memory. Fixes memory leak found by cppcheck.
  * Remove unnecessary brace. Fixes "Invalid number of character ({) when these
    macros are defined" errors given by cppcheck.

  [1] https://sources.debian.net/src/wmbattery/2.47-1/debian/patches/escape_manpage_hyphens.patch/

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 13 May 2015 23:31:47 -0500

wmbattery (2.47)
  * Avoid redefinition of apm_read/apm_exists in *BSD.
    The two functions are defined if the BSD-specific apm headers are found and
    if libapm is not found.  Both of these conditions will be true on BSD
    systems, so we use #elif instead of the separate #if statements.
  * Use AC_CHECK_LIB instead of AC_CHECK_HEADERS to check for libapm.
    If autoconf finds an apm.h other than the one belonging to libapm, we get
    builds errors like the ones reported by Haroldo Gambini Santos in [1].

    [1] http://lists.windowmaker.org/dev/msg07937.html

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 19 Feb 2015 23:26:34 -0600

wmbattery (2.46)
  * Make it possible to work without libapm as libapm and apm.h are not
    necessarily available on Linux.
  * Update upower support.  Reuse dbus connection and set delay to actually
    refresh values.
  * Thanks to Ludwig Nussel <ludwig.nussel@suse.de> for patches.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 17 Jan 2015 08:37:05 -0600

wmbattery (2.45)
  * Switch from a Debian native package to a non-native package.
    - Remove debian directory.
    - Rename debian/changelog to ChangeLog, strip Debian-specific information.
    - Move copyright information from debian/changelog to header in wmbattery.c.
  * Escape hypen in manpage.
  * Move assignment of old_status until after cur_info is initialized to avoid
    uninitialized variable warning.
  * Use consistent formatting in source and delete trailing whitespaces.
  * Add -x option to run a command when battery is critical.  Based on a patch
    by Cristoph Fritz.  See https://bugs.debian.org/543674.
  * Add -v option to display version number.
  * Restore BSD support.  Code that was ripped out of wmbattery for version
    1.22, which introduced the dependency on libapm but dropped support for the
    BSDs, has been restored.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 05 Oct 2014 10:23:34 -0500

wmbattery (2.44)

  * Better AC detection.
  * Support times with upower and acpi (Closes: #740885).
  * Use the latest upower API (Closes: #748935).
  * Fix upower detection.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 18 Jul 2014 01:14:49 +0200

wmbattery (2.43)

  * Orphaned the package. It will probably be removed as it does not work with
    current kernels.
  * Added -i to display as icon. Thanks, Tovar Closes: #732398

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2014 16:01:34 -0400

wmbattery (2.42)

  * Stop building with flash-in-the-pan HAL. Instead update acpi
    interface to use /sys/class/power_supply.
    Note that this needs acpica_version 20011018.
    Closes: #613166
    (Patch developed by Andrew Shadura.)
  * Also added support for upower, which is used by default,
    to avoid chasing kernel sysfs changes.
    (Patch developed by Andrew Shadura.)
    Closes: #727102

 -- Joey Hess <joeyh@debian.org>  Thu, 05 Dec 2013 15:29:41 -0400

wmbattery (2.41)

  * Accumulated packaging modernizations. Closes: #666370

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Mar 2012 10:20:17 -0400

wmbattery (2.40)

  * Add -s option which can be used to ignore fluctuations
    in reported battery charge (as seen on the EeePC) when
    using -e. Closes: #527870 (Joseph Huang)

 -- Joey Hess <joeyh@debian.org>  Sat, 09 May 2009 16:53:10 -0400

wmbattery (2.39)

  * Use debhelper v7; rules file minimisation.
  * Depend on hal since /proc/acpi is gone from the default kernels now.
    Closes: #491099

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:23:47 -0400

wmbattery (2.38)

  * Magic header file reordering to work around the disgusting
    linux-libc-dev/libc headers conflicts (#435700). Closes: #463811

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Feb 2008 15:08:53 -0500

wmbattery (2.37)

  * Support reconnecting to dbus if it's restarted. (AKA giant dbus-PITA)

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Feb 2008 22:44:00 -0500

wmbattery (2.36)

  * Support reconnecting to hal if the connection is closed, as happens
    if the hal is restarted.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Feb 2008 22:29:00 -0500

wmbattery (2.35)

  * Don't spew error messages if optional hal properties are not available.
  * Only check to see if a battery is charging if hal reports there is AC
    power. This is perhaps not 100% correct in systems with multiple batteries
    that may cross-charge when off AC, but it's faster and it avoids bugs in
    hal (#463740).

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Feb 2008 17:28:37 -0500

wmbattery (2.34)

  * Bit the bullet, stopped trying to track the kernel's ever changing
    interfaces, and added support for querying battery information from hal.
    Support for the old kernel interfaces (APM, ACPI, etc) is still present,
    but to use new interfaces such 2.6.24's /sys/class/power_adapter, you'll
    have to have dbus and hal.
    Closes: #456247, #246641, #290712, #393616, #456248
  * Fix -e option.

 -- Joey Hess <joeyh@debian.org>  Fri, 01 Feb 2008 21:36:39 -0500

wmbattery (2.33)

  * Correct issue with the statically allocated string returned by
    get_acpi_value that caused it to only look at last full capacity and never
    really at design capacity.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 22:26:38 -0500

wmbattery (2.32)

  * Guard some divisions against division by zero. I've never seen that
    happen and can't reproduce it, but see #454766.
  * Merge acpi change from procmeter3: Limit string length when reading from
    /proc/.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Dec 2007 14:56:41 -0500

wmbattery (2.31)

  * Further fix for my strange battery. If the present capacity is larger
    than the maximum capacity, rescan to figure out the new max capacity.

 -- Joey Hess <joeyh@debian.org>  Sun, 02 Dec 2007 15:50:29 -0500

wmbattery (2.30)

  * My new battery has a design capacity of 7800 mAh and yet its
    last full capacity was 9488, and its currently charged to 8540.
    Deal with this wonderful miracle^W^Wcrap hardware by taking the max
    of the design or last full capacities.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Oct 2007 22:21:06 -0400

wmbattery (2.29)

  * Update to new menu policy.
  * The repository has moved from svn to git.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 21:14:22 -0400

wmbattery (2.28)

  * Correct off-by-one in acpi.c
  * Put url to new web page in README.

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Jun 2007 16:44:03 -0400

wmbattery (2.27)

  * Minor bug fix to acpi code, don't skip over dotfiles.
  * Patch from Vincent Bernat adding support for 2.6.21, which changes
    yet again where the ACPI version number is stored. Closes: #423612

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2007 14:23:09 -0400

wmbattery (2.26)

  * Add missing build dep on libxt-dev. Closes: #379247

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Jul 2006 22:00:41 -0400

wmbattery (2.25)

  * Merge acpi.c changes for more robust AC power status from sleepd 1.3.0.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Mar 2006 14:59:31 -0500

wmbattery (2.24)

  * Current policy.
  * Man page section fix.
  * Menu file move.
  * GPL update.
  * Remove configure script in distclean.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Dec 2005 17:39:07 -0500

wmbattery (2.23)

  * xlibs-dev transition

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Dec 2005 14:54:25 -0500

wmbattery (2.22)

  * Fix acpi detection, the code to read /proc/acpi/info was not updated
    to the new cd-less code. Closes: #307278

 -- Joey Hess <joeyh@debian.org>  Mon,  2 May 2005 18:14:01 -0400

wmbattery (2.21)

  * Merge in changes from procmeter3's version of acpi.c, made by Andrew M.
    Bishop, that avoid the ugly chdir to /proc/acpi and add a bit of error
    checking. Now fully synced with procmeter3 3.4d.

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Apr 2005 22:58:44 -0400

wmbattery (2.20)

  * Patch from Kris Verbeeck to add a -a option to play an au file
    on low battery.
  * Document it in the man page.
  * Unicode dash fixes on man page.
  * Some indentation fixes.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Nov 2004 16:20:39 -0500

wmbattery (2.19)

  * Use the proper new-style acpi string when looking for ac adaptor status.
    Closes: #220039
  * Remove the hack I added for my old picturebook, as it causes bad results
    on systems that label a fully charged battery's charging rate as
    unknown and state as charging.
  * Base battery charge calculations for ACPI on design capacity, instead of
    last full capacity. Some batteries may exceed previous last full on
    their next charging, and this also lets you see when you have a damaged
    battery that is not fully charging.
  * If acpi battery charging state is unknown, but the rate is 0,
    then the battery is charged and on AC power, and the unknown state can
    be ignored. Analysis and patch by "TeXitoi".

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Nov 2003 20:28:56 -0500

wmbattery (2.18)

  * Sort devices returned by readdir in acpi, since the order can be random.
    Closes: #204721

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Aug 2003 01:45:55 -0400

wmbattery (2.17)

  * Make acpi code put -1 in the time remaining field if the "present rate"
    is 0. Closes: #204722
  * Enable internal time estimate code in this case.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Aug 2003 17:21:17 -0400

wmbattery (2.16)

  * Another patch from Hugo Haas, this time it adds time-till-charged
    estimates for systems that lack them. The estimates are on by default,
    though they're only linear guesses and may not be accurate.
  * Display dimmed time estimate field if there is no estimate available.
  * -e switch renamed to -r and forces both estimates on.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Aug 2003 16:41:37 -0400

wmbattery (2.15)

  * Patch from Hugo Haas <hugo@larve.net> to change when the icon is
    refreshed for less latency.
  * Patch from Hugo Haas to have wmbattery do its own time left estimates
    if that info is not available from the machine.
  * Add -r switch to force wmbattery to estimate the time left.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Aug 2003 00:00:09 -0400

wmbattery (2.14)

  * Set the cutoff point for old acpi to 20020214 (was 20020208).
    Closes: #202083

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Jul 2003 13:44:59 +0200

wmbattery (2.13)

  * Added support for ACPI version 20030109 (2.5 kernel), and generally
    support for changing ACPI strings across versions. Closes: #177249

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Feb 2003 14:50:21 -0500

wmbattery (2.12)

  * Rebuild w/o /usr/doc link.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 15:23:13 -0500

wmbattery (2.11)

  * Corrected inverted test to see if ac power is online, that was only called
    on 2 battery systems. Closes: #152356

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jul 2002 16:10:40 -0400

wmbattery (2.10)

  * Deal with acpi putting nothing but "Present: no" in the info file for the
    second battery of a thinkpad. This was with kernel 2.4.19-pre10.
    Closes: #149715
  * Moved DEB_BUILD_OPTIONS out of makeinfo.
  * Updated to new autoconf.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Jun 2002 22:51:45 -0400

wmbattery (2.09)

  * Moved makefile stuff out of makeinfo, so it is just definitions.
  * Support DEB_BUILD_OPTIONS.
  * debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 16:31:53 -0400

wmbattery (2.08)

  * Don't crash if there is a /proc/acpi/ with no status file.

 -- Joey Hess <joeyh@debian.org>  Fri, 31 May 2002 21:35:06 -0400

wmbattery (2.07)

  * Added symbolic apm info constants to "apm.h", in case they are
    not in the system <apm.h>.
  * Put $(LIBS) last at link time.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Apr 2002 11:49:16 -0400

wmbattery (2.06)

  * Deal with -1 time left from apm (no estimate).
  * Never dim colon, fixes display bug.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Apr 2002 12:30:35 -0400

wmbattery (2.05)

  * (acpi) don't display the rather wacky "- :0" on an almost full battery

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Apr 2002 23:19:35 -0400

wmbattery (2.04)

  * Work around stupid ACPI output format  bug. Critical battery detection
    now works.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Apr 2002 22:49:43 -0400

wmbattery (2.03)

  * Better error reporting.

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Apr 2002 22:57:17 -0400

wmbattery (2.02)

  * Improved acpi interface (also used for procmeter3 module now).
  * Fixed segfault on non-ACPI systems.

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Apr 2002 17:48:41 -0400

wmbattery (2.01)

  * Corrected minus sign in bigfont to proper faux-lcd appearance. Also fixed
    offset slightly.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Apr 2002 23:34:38 -0500

wmbattery (2.00)

  * Added ACPI support, including battery change detection, and battery
    charging time countdown timer.
  * Added -w parameter to configure delay time.
  * Added -c and -l parameters to allow user control of battery low/critical
    percentages.
  * Use constant defs from apm.h instead of nasty hardcoded numbers.
  * Made -Wall clean.
  * Reorg.
  * Removed -s option, just fall back to SPIC if ACPI and APM are not
    available.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Apr 2002 12:53:18 -0500

wmbattery (1.23)

  * Added support for querying for battery status via the sonypi driver, for
    sony laptops that do not have apm support. This is a stopgap until linux
    gets full ACPI support.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Apr 2002 10:25:31 -0500

wmbattery (1.22)

  * Converted to use libapm, instead of the hacked up old version of it
    used before. This probably breaks wmbattery on the BSD's, for now. The
    correct fix for the BSD's will be to get support for their apm
    implementations into libapm. To that end, I have filed a bug with all the
    code I ripped out.
  * The -f option also had to be removed. If libapm does not work right on
    systems that needed that flag it's probably a bug in the library.
  * Closes: #100027

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Feb 2002 12:47:53 -0500

wmbattery (1.21)

  * Typo, Closes: #125485

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Dec 2001 21:41:52 -0500

wmbattery (1.20)

  * Still show percent sign when blinking low. Closes: #123183

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Dec 2001 22:44:17 -0500

wmbattery (1.19)

  * Used two more grey's in the transition between shadow and highlight
    in the dial. Looks a bit better.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Nov 2001 22:35:37 -0500

wmbattery (1.18)

  * Autoconf 2.50 demands an absolute --mandir=

 -- Joey Hess <joeyh@debian.org>  Thu, 24 May 2001 15:04:23 -0400

wmbattery (1.17)

  * Patch from Edward Betts <edward@debian.org> to make the icon redraw
    immediately when it gets an expose event. The patch also lowers the CPU
    time used as the icon is not needlessly redrawn every second. Thanks
    Edward! Closes: #97779
  * Battery blink fixup. (I seem to have inexplicably lost the changelog
    and version involving making the battery blink red on and off when the
    status is critical -- I did this recently because the eye tends to
    notice the motion).

 -- Joey Hess <joeyh@debian.org>  Thu, 17 May 2001 13:16:55 -0400

wmbattery (1.16)

  * Another patch from Kevin, which allows removal of the
    config.{sub,guess} files and does smarter detection.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Mar 2001 19:49:36 -0800

wmbattery (1.15)

  * Fixed icon search path.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Feb 2001 18:00:44 -0800

wmbattery (1.14)

  * OpenBSD port by Kevin Christen <christen@ix.netcom.com>
  * Uses autoconf.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Feb 2001 22:06:55 -0800

wmbattery (1.13)

  * Added support for using files other than /proc/apm, via a -f switch.
    (See bug #69585)

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Aug 2000 11:52:21 -0700

wmbattery (1.12)

  * Use /usr/share/icons/wmbattery, not /usr/X11R6/share. Sheesh.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Apr 2000 13:16:52 -0700

wmbattery (1.11)

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 16:56:32 -0800

wmbattery (1.10)

  * Removed install-stamp target, which can cause obscure problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:32:33 -0700

wmbattery (1.9)

  * Expanded the man page to detail exactly what all parts of the display
    mean.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 1999 11:37:11 -0700

wmbattery (1.8)

  * Integrated with my build system.

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 1999 12:47:00 -0700

wmbattery (1.7)

  * FHS.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 16:57:13 -0700

wmbattery (1.6)

  * FreeBSD support, patch from Motoyuki Kasahara <m-kasahr@sra.co.jp>.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 20:04:10 -0700

wmbattery (1.5)

  * Built w/o that ugly bug source known as fakeroot. Now all files are
    owned by root, not me.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 17:35:32 -0700

wmbattery (1.4)

  * Let's try again on that patch.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 17:30:18 -0700

wmbattery (1.3)

  * Patch from Hugo Haas <hugoh@MIT.EDU> to allow geometry support.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 16:18:44 -0700

wmbattery (1.2)

  * Patch from Edwin van Ouwerkerk Moria, may make the charging indicator
    work better on thinkpads.

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Jul 1999 09:58:04 -0700

wmbattery (1.1)

  * Fixed man page location.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Feb 1999 14:33:58 -0800

wmbattery (1.0)

  * First release.
  .
  * Started with wmapm 1.2 sources. Gutted it and cleaned it up extensively
    and turned it into wmbattery.
  * Drew new faceplate and graphics.
  * Converted manpage to refer to new program name.
  * Reorganized source tree.
  * Split single xpm up into lots of small xpms, loaded separately.
  * Cleaned up Makefile.
  * Removed README, TODO, INSTALL, etc; I'll write my own.
  * Parse command line with getopt.
  * Made -d work to set the display.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Dec 1998 18:03:21 -0500
